#!/usr/bin/python3
import time
import RPi.GPIO as io

io.setmode(io.BCM)
io.setup(17,io.OUT) # make pins into an output
io.setup(27,io.OUT)
io.setup(22,io.OUT)

ledR = io.PWM(17,60) # Set up outputs as PWM @ 60Hz
ledG = io.PWM(27,60)
ledB = io.PWM(22,60)

ledR.start(0) # start off the PWM
ledG.start(0)
ledB.start(0)

print("RGB color cycle an LED using RPi.GPIO - By Mike Cook")
print("Ctrl C to quit")
try:
   while(1):
       print("Start cycle")
       time.sleep(2.0)
       for stepR in range(0,100,5):
          for stepG in range(0,100,5):
             for stepB in range(0,100,5):
                ledR.ChangeDutyCycle(stepR)
                ledG.ChangeDutyCycle(stepG)
                ledB.ChangeDutyCycle(stepB)
                time.sleep(0.1) # Whole cycle 8000 times this
                ledR.ChangeDutyCycle(0)
                ledG.ChangeDutyCycle(0)
                ledB.ChangeDutyCycle(0)

except KeyboardInterrupt:
   pass

ledR.stop(0) #stop the PWM
ledG.stop(0)
ledB.stop(0)
io.cleanup() # Restore default GPIO state
