#!/usr/bin/python3
# RFID Jukebox2 with file names on the card by Mike Cook
 
from rc522rfid import Rc522rfid
import pygame

pygame.mixer.quit()
pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=512)   
rfidReader = Rc522rfid()

def main():
   print ("RFID Jukebox using enrolled cards")
   print ("Click stop when done.")
   while 1: # repeat forever    
      toPlay = readFileName()
      pygame.mixer.music.stop()
      try :
         pygame.mixer.music.load("/home/pi/Music/"+toPlay)
         pygame.mixer.music.play()
         print("Playing:- "+toPlay)
      except :
         print("No file:-/home/pi/Music/"+toPlay)
      rfidReader.RC522_WaitForCardRemoved()   

def readFileName():
   # This is the (default) key for authentication
   key = [0xFF,0xFF,0xFF,0xFF,0xFF,0xFF]
   block1 = rfidReader.RC522_GetSector(key,4)
   block2 = rfidReader.RC522_GetSector(key,5)
   if block1 != -1 and block2 != -1:
      fileToPlay = getString(block1,block2)
      return fileToPlay
   else:
      return("Error in reading card")

def getString(s1,s2): # make string from two sectors
   name = ""
   i = 0
   notDone = True
   while notDone and i < 32:
      if i<16:
         c = s1[i]
      else:
         c = s2[i-16]
      i+=1
      if c !=0:     
        name = name + chr(c)
      else:
        notDone = False  
   return name   
   
# Main program logic:
if __name__ == '__main__':
  try:
    main()
  except KeyboardInterrupt:
    pygame.mixer.quit()

            
